classification
Title: Sporadic failure in test_socket: testRecvmsgEOF
Type: behavior Stage: resolved
Components: Versions: Python 3.3, Python 3.4
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: giampaolo.rodola, nadeem.vawda, neologix, pitrou, python-dev, rosslagerwall
Priority: normal Keywords:

Created on 2012-01-26 14:36 by nadeem.vawda, last changed 2016-04-19 13:56 by berker.peksag. This issue is now closed.

Messages (7)
msg152012 - (view) Author: Nadeem Vawda (nadeem.vawda) * (Python committer) Date: 2012-01-26 14:36
When running the test suite, I occasionally get the following failure:

    ERROR: testRecvmsgEOF (test.test_socket.RecvmsgSCTPStreamTest)
    ----------------------------------------------------------------------
    Traceback (most recent call last):
      File "/home/nadeem/code/src/cpython/def/Lib/test/test_socket.py", line 2187, in testRecvmsgEOF
        msg, ancdata, flags, addr = self.doRecvmsg(self.serv_sock, 1024)
      File "/home/nadeem/code/src/cpython/def/Lib/test/test_socket.py", line 1678, in doRecvmsg
        result = sock.recvmsg(bufsize, *args)
    OSError: [Errno 107] Transport endpoint is not connected

The machine in question is running Ubuntu 11.10 64-bit.

I haven't seen anything similar on any of the buildbots.
msg154540 - (view) Author: Nadeem Vawda (nadeem.vawda) * (Python committer) Date: 2012-02-28 08:54
The same failure has appeared on the Debian bigmem buildbot:

http://www.python.org/dev/buildbot/all/builders/AMD64%20debian%20bigmem%203.x/builds/152/steps/test/logs/stdio
msg164125 - (view) Author: Nadeem Vawda (nadeem.vawda) * (Python committer) Date: 2012-06-27 07:00
Merging nosy list from duplicate issue 15155.
msg164139 - (view) Author: Charles-Fran├žois Natali (neologix) * (Python committer) Date: 2012-06-27 10:05
Looks like a kernel bug.
The only thing "non-standard" the test does is let the client call
close() before the server has called accept(), but this shouldn't
result in ENOTCONN - and doesn't for TCP sockets.
msg177606 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2012-12-16 15:42
New changeset 391bda06fa65 by Antoine Pitrou in branch '3.3':
Silence sporadic failure in RecvmsgSCTPStreamTest.testRecvmsgEOF (issue #13876) - probably not Python-related.
http://hg.python.org/cpython/rev/391bda06fa65

New changeset 2d2d4807a3ed by Antoine Pitrou in branch 'default':
Silence sporadic failure in RecvmsgSCTPStreamTest.testRecvmsgEOF (issue #13876) - probably not Python-related.
http://hg.python.org/cpython/rev/2d2d4807a3ed
msg177607 - (view) Author: Antoine Pitrou (pitrou) * (Python committer) Date: 2012-12-16 15:43
I've now silenced the exception. Leaving this issue open in case someone wants to investigate more.
msg177723 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2012-12-18 22:47
New changeset 13d8c33de8ff by Antoine Pitrou in branch '3.3':
Silence sporadic failure in RecvmsgIntoSCTPStreamTest.testRecvmsgEOF (issue #13876) - probably not Python-related.
http://hg.python.org/cpython/rev/13d8c33de8ff

New changeset 900ee4a04f5e by Antoine Pitrou in branch 'default':
Silence sporadic failure in RecvmsgIntoSCTPStreamTest.testRecvmsgEOF (issue #13876) - probably not Python-related.
http://hg.python.org/cpython/rev/900ee4a04f5e
History
Date User Action Args
2016-04-19 13:56:32berker.peksagsetstatus: open -> closed
2012-12-18 22:47:42python-devsetmessages: + msg177723
2012-12-16 15:43:33pitrousetresolution: fixed
stage: needs patch -> resolved
messages: + msg177607
versions: + Python 3.4
2012-12-16 15:42:53python-devsetnosy: + python-dev
messages: + msg177606
2012-12-04 08:35:14vstinnersettitle: Sporadic failure in test_socket -> Sporadic failure in test_socket: testRecvmsgEOF
2012-06-27 10:05:07neologixsetmessages: + msg164139
2012-06-27 07:00:29nadeem.vawdasetnosy: + pitrou, giampaolo.rodola, neologix
messages: + msg164125
2012-06-25 17:28:27neologixlinkissue15155 superseder
2012-02-28 08:54:02nadeem.vawdasetmessages: + msg154540
versions: + Python 3.3
2012-01-26 17:09:27rosslagerwallsetnosy: + rosslagerwall
2012-01-26 14:36:02nadeem.vawdacreate